Function
countOccurrences
Returns the number of occurrences of a specified character from the start to a specified position.
countOccurrences(dictionary, character, pos)
Include Headers
seqan/index.h
Parameters

dictionary | The dictionary. Types: RankDictionary
character | The character.
pos | The position (which is included in the counting).

Member of
SentinelRankDictionary
Examples
String<Dna5> genome = "ACGTACGT";
RankDictionary<String<Dna5> > dictionary(genome);
std::cout << countOccurrences(dictionary, 'a', 3) << std::endl; // 1
std::cout << countOccurrences(dictionary, 'a', 4) << std::endl; // 2
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57